# SymQuaternion Class Reference
[Math classes]

Inheritance diagram for SymQuaternion:

List of all members.

## Public Member Functions
| SymQuaternion ()
void | SetFromMatrix (const TMatrix33 &matrix)
void | SetFromMatrix (const TVector3 &II, const TVector3 &JJ, const TVector3 &KK)
void | SetFromInterpolate (const real lamda, const SymQuaternion &q1, const SymQuaternion &q2)
SymQuaternion | Inverse () const
void | Subtract (const real lamda, const SymQuaternion &q1, const SymQuaternion &q2)
void | Diff (const SymQuaternion &q1, const SymQuaternion &q2)
void | Multiply (const SymQuaternion &q1, const SymQuaternion &q2)
void | GetMatrix (TVector3 &II, TVector3 &JJ, TVector3 &KK) const
void | GetMatrix (TMatrix33 &matrix) const
boolean | operator== (const SymQuaternion &q1) const
boolean | operator!= (const SymQuaternion &q1) const
void | operator= (int32 i)
## Protected Attributes
TUnitQuaternion | fQ
boolean | fMirror
## Friends
TMCiostream & | operator<< (TMCiostream &, const SymQuaternion &)
TMCiostream & | operator>> (TMCiostream &, SymQuaternion &)

## Detailed Description

Class used to properly interpolate rotation matrices

## Constructor & Destructor Documentation

SymQuaternion::SymQuaternion | ( |  | ) |

## Member Function Documentation

void SymQuaternion::Diff | ( | const SymQuaternion & | q1,
|  | const SymQuaternion & | q2 |
| ) |  |  |

void SymQuaternion::GetMatrix | ( | TMatrix33 & | matrix | ) | const

void SymQuaternion::GetMatrix | ( | TVector3 & | II,
|  | TVector3 & | JJ,
|  | TVector3 & | KK |
| ) |  |  | const

SymQuaternion SymQuaternion::Inverse | ( |  | ) | const

void SymQuaternion::Multiply | ( | const SymQuaternion & | q1,
|  | const SymQuaternion & | q2 |
| ) |  |  |

boolean SymQuaternion::operator!= | ( | const SymQuaternion & | q1 | ) | const`[inline]`

void SymQuaternion::operator= | ( | int32 | i | ) | `[inline]`

boolean SymQuaternion::operator== | ( | const SymQuaternion & | q1 | ) | const

void SymQuaternion::SetFromInterpolate | ( | const real | lamda,
|  | const SymQuaternion & | q1,
|  | const SymQuaternion & | q2 |
| ) |  |  |

void SymQuaternion::SetFromMatrix | ( | const TVector3 & | II,
|  | const TVector3 & | JJ,
|  | const TVector3 & | KK |
| ) |  |  |

void SymQuaternion::SetFromMatrix | ( | const TMatrix33 & | matrix | ) |

void SymQuaternion::Subtract | ( | const real | lamda,
|  | const SymQuaternion & | q1,
|  | const SymQuaternion & | q2 |
| ) |  |  |

## Friends And Related Function Documentation

TMCiostream& operator<< | ( | TMCiostream & | ,
|  | const SymQuaternion & |  |
| ) |  |  | `[friend]`

TMCiostream& operator>> | ( | TMCiostream & | ,
|  | SymQuaternion & |  |
| ) |  |  | `[friend]`

## Member Data Documentation

boolean SymQuaternion::fMirror`[protected]`

TUnitQuaternion SymQuaternion::fQ`[protected]`

The documentation for this class was generated from the following file:

- RealQuat.h